get
https://api.wuxus.com/public/orders/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Used to retrieve an array of orders satisfying the search criteria. Will only get orders for which the user is either creator or hauler.
Searchable keys in filter
This is a table containing all the searchable keys, that can be used in the filter query parameter.
| Key | Description |
|---|---|
| filterBy | Filter by the orders status. Can be todo, planned, inTransit, canceled, done, archived, failedTask, unknownTask or unassign |
| vehicle | The id of a vehicle. Can only be string |
| geoWarn | A boolean if you want to filter on geo warns. If geo warn is true, the address might be wrong |
| orderIds | An array of orderIds to filter on |
| dateFrom | String containing a date in UTC format. Is filtering on time windows in an order |
| dateTo | String containing a date in UTC format. Is filtering on time windows in an order |
| createdFrom | String containing a date in UTC format. Is filtering on when the order was created |
| createdTo | String containing a date in UTC format. Is filtering on when the order was created |
| modifiedFrom | String containing a date in UTC format. Is filtering on when the order last was modified |
| modifiedTo | String containing a date in UTC format. Is filtering on when the order last was modified |
| search | An string that search on addresses, company names, requisition, order numbers, cargo descriptions and attention |
| batchFileId | A string containing an id of a batch file that have been uploaded. Can be used to filter on batch file uploads |
| contractKey | A string containing a key of a contract. Can be used to filter on orders that's assign to a contract |
| owner | String that can be haulier, forwarder or creator. This is used to filter on orders where you are haulier, forwarder or creator |
| combo | An array where different combination can be listed. The options for combo is down below |
Options for combo
This is a table containing all the options for combo.
| Key | Description |
|---|---|
| origin.address | The address of the origin |
| origin.zipCode | Zip code of the origin |
| origin.city | City of the origin |
| origin.companyName | The name of the company under origin |
| origin.attention | The name of the attention under origin |
| destination.address | The address of the origin |
| destination.zipCode | Zip code of the origin |
| destination.city | City of the destination |
| destination.companyName | The name of the company under destination |
| destination.attention | The name of the attention under destination |
| cargo.description | The description of any of the cargos |
| requisition | Requisition |
| orderNumber | The order number provided by the creator of the order |
| wuxusNumber | The number of the Wuxus generates for all orders |
